Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Marseille — Year Card

POST
/tarot/marseille/year-card

Year card per Greer method.

curl -X POST https://api.astroway.info/v1/tarot/marseille/year-card \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "date": "1990-05-15", "year": 2026 }'
object
Example
{
"date": "1990-05-15",
"year": 2026
}

Successful calculation

object
ok
boolean
Example
true
data
object
card
object
name
string
Example
{
"ok": true,
"data": {
"card": {
"name": "..."
}
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?